{
  config,
  lib,
  pkgs,
  ...
}:
with lib; let
  cfg = config.features.desktop.media;
in {
  options.features.desktop.media.enable =
    mkEnableOption "enable media features";

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      # handbrake
      # kdePackages.kdenlive
      # makemkv
      # mediainfo
      amf
      blueberry
      ffmpeg_6-full
      gst_all_1.gstreamer
      gst_all_1.gst-vaapi
      handbrake
      kdePackages.kdenlive
      makemkv
      mpv
      pamixer
      pavucontrol
      qpwgraph
      v4l-utils
      plexamp
      spotify
      # uxplay
      # vlc
      # webcord
      # yt-dlp
      # unimatrix
    ];

    programs.obs-studio = {
      enable = true;
      plugins = with pkgs.obs-studio-plugins; [
        input-overlay
        obs-gstreamer
        obs-vaapi
        obs-vkcapture
        wlrobs
      ];
    };
  };
}
